###################################################
### chunk number 1: example1
###################################################
#line 111 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
library(dmt) 
data(modelData) # load example data X, Y
model <- fit.dependency.model(X, Y)


###################################################
### chunk number 2: example22
###################################################
#line 128 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
model <- fit.dependency.model(X, Y, 
      	 		      priors = list(Nm.wx.wy.sigma = 0, Nm.wx.wy.mean = 1, W = 1e-3), 
			      marginalCovariances = "full")


###################################################
### chunk number 3: ouputs
###################################################
#line 218 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
W <- getW(model)      # model parameters Wx, Wy
psi <- getPhi(model)  # model parameters Psix, Psiy
Z <- getZ(model)      # ML-estimate of the shared latent variable


###################################################
### chunk number 4: ouputs2
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
slotNames(model)


###################################################
### chunk number 5: drcca
###################################################
#line 262 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
data(expdata1) 
data(expdata2)
drcca <- drCCAcombine(list(expdata1, expdata2)) # data fusion
r <- regCCA(list(expdata1,expdata2))            # regularized CCA
shared <- sharedVar(list(expdata1,expdata2),r,4)          # shared effects
#specific <- specificVar(list(expdata1,expdata2),r,4)        # data set-specific effects
#tmp <- plotVar(list(expdata1,expdata2),r,c(1:2),4)     # visualization


###################################################
### chunk number 6: details
###################################################
#line 300 "d:/Rcompile/CRANpkg/local/2.12/dmt/inst/doc/dmt.Rnw"
sessionInfo()


